Webhooks

List watches

GET
/v1/watches

Authorization

headerAuthorizationBearer <token>

Authorization: Bearer lsk_live_…

Query Parameters

active?boolean
Defaulttrue
limit?integer
Range1 <= value <= 200
Default50
cursor?string

Response Body

Watches, newest first.

application/json
  1. response
watches?array<>
nextCursor?string|null
Example Request
curl -X GET 'https://api.lastscanned.com/v1/watches'
Example Response
{  "watches": [    {      "id": "string",      "trackingNumber": "string",      "carrier": "string",      "status": "label_created",      "active": true,      "metadata": {},      "createdAt": "string",      "checkedAt": "string",      "nextCheckAt": "string",      "endedAt": "string",      "endReason": "delivered",      "result": {        "carrier": "ups",        "trackingNumber": "string",        "status": "label_created",        "statusDescription": "string",        "service": "string",        "deliveredAt": "string",        "deliveredAtLocal": "string",        "signedBy": "string",        "destination": {          "city": "string",          "state": "string",          "country": "string"        },        "estimatedDelivery": "string",        "estimatedDeliveryAt": "string",        "message": "string",        "events": [          {            "timestamp": "string",            "localTime": "string",            "status": "label_created",            "description": "string",            "location": "string",            "code": "string"          }        ]      },      "error": {        "code": "bad_request",        "message": "string"      }    }  ],  "nextCursor": "string"}